<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Get users of my network for a keyword
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************
/**
*
* \brief Load network list
*
*   return xml file
*
*  \relatesalso
*   application.js
*   $p.friends.loadFriends
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/
 
$folder = "";
$not_access = 1;
$granted = "I";
$pagename = "portal/xmlnetwork_users.php";
//includes
require_once('includes.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
require_once('../includes/xml.inc.php');

$file = new xmlFile();

$file->header("users");
$check = false;
$order = isset($_GET['order']) ? $_GET['order'] : '';

if( $order == 'rand' ) {
	$maxUser = isset($_GET['nb'])?$_GET['nb']:2;
	$id = (isset($_GET['id']))?$_GET['id']:$_SESSION['user_id'];
	$DB->getResults($xmlnetworkusers_getRandomUserById,	$DB->escape($id),
														$DB->escape($maxUser));
	$check = true;
}
//find user of my network, either from id, or from keyword
elseif ($_GET["kwid"] == 0)
{
	$DB->getResults($xmlnetworkusers_getUserById,	$DB->escape($_SESSION['user_id']),
													$DB->escape($_GET['s']));
    $check = true;
}
elseif(isset($_GET['s']))
{
	$DB->getResults($xmlnetworkusers_getUserByKeyword,	$DB->escape($_SESSION['user_id']),
														$DB->escape($_GET["kwid"]),
														$DB->escape($_GET['s']));
    $check = true;
}
if( $check ) {
    while($row=$DB->fetch(0))
    {
    	echo "<user>";
    	echo "<id>".$row["id"]."</id>";
    	echo "<longname><![CDATA[".$row["long_name"]."]]></longname>";
    	echo "<username><![CDATA[".$row["username"]."]]></username>";
		echo "<email><![CDATA[".$row["email"]."]]></email>";
    	echo "<description><![CDATA[".$row["description"]."]]></description>";
    	echo "<stat><![CDATA[".$row["stat"]."]]></stat>";
    	echo "<statdate><![CDATA[".$row["statdate"]."]]></statdate>";
    	echo "<activity>".$row["activity"]."</activity>";
    	echo "<lastconndate>".$row["lastconnect_date"]."</lastconndate>";
    	echo "<dbdate>".$row["dbdate"]."</dbdate>";
    	echo "<picture><![CDATA[".$row["picture"]."]]></picture>";
		echo "<status><![CDATA[".$row["status"]."]]></status>";
    	echo "</user>";
    }

}elseif($order=='rand') {
	while($row=$DB->fetch(0))
    {
    	echo "<user>";
    	echo "<id>".$row["id"]."</id>";
    	echo "<longname><![CDATA[".$row["long_name"]."]]></longname>";
		echo "<email><![CDATA[".$row["email"]."]]></email>";
    	echo "<description><![CDATA[".$row["description"]."]]></description>";
    	echo "<picture><![CDATA[".$row["picture"]."]]></picture>";
		echo "<status><![CDATA[".$row["activity"]."]]></status>";
    	echo "</user>";
    	
    }
} else {
	$file->error("lblNoUser");
}
$DB->freeResults();

$file->footer();

$DB->close();
?>